import Vue from "vue";
import App from "./App.vue";
import router from "./router";
import VueResource from 'vue-resource'
import ElementUI from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css';
import './assets/bootstrap/css/bootstrap.min.css'
import './assets/css/common.css'
import './assets/css/index.css'


Vue.config.productionTip = false;
Vue.use(VueResource)
Vue.use(ElementUI)

Vue.http.interceptors.push(function(request,next) {
	var user_token = localStorage.getItem("user_token");
	if(user_token){
		request.headers.set('user_token',localStorage.getItem("user_token"));
	}
	next(function (response) {
        if (response.status == 403) {
        	this.$alert('登录失效,请重新登录！', '提示', {
        		showClose:false,
                confirmButtonText:'确定',
                callback: action => {
                    localStorage.removeItem("rootOrgId");
					localStorage.removeItem("userName");
					localStorage.removeItem("user_token");
					this.$router.push({path:'/login'});
                }
            })
        } else if (response.status != 200) {
            console.log(response);
        }
    });
});

new Vue({
  router,
  render: h => h(App)
}).$mount("#app");
